function ydot = kepler_ode(y)

%obtain r and v from y
rs=[y(1),y(2)]; 
vs=[y(3),y(4)];

rp=[y(5),y(6)]; 
vp=[y(7),y(8)];

ra=[y(9),y(10)]; 
va=[y(11),y(12)];

global ms mp ma G 

%obtain new velocity of s,p and a

Fsp=-(rs-rp)*(G*ms*mp/(norm(rs-rp,2))^3);
Fsa=-(rs-ra)*(G*ms*ma/(norm(rs-ra,2))^3);
as=(Fsp+Fsa)./ms;

Fps=-(rp-rs)*(G*mp*ms/(norm(rp-rs,2))^3);
Fpa=-(rs-ra)*(G*mp*ma/(norm(rp-ra,2))^3);
ap=(Fps+Fpa)./mp;

Fas=-(ra-rs)*(G*ma*ms/(norm(ra-rs,2))^3);
Fap=-(ra-rp)*(G*ma*mp/(norm(ra-rp,2))^3);
aa=(Fas+Fap)./ma;

ydot = [vs(1),vs(2),as(1),as(2),vp(1),vp(2),ap(1),ap(2),va(1),va(2),aa(1),aa(2)];

end